Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core.statistic.bestscore
Class BestScoreStatisticListener

    java.lang.Object
      org.drools.planner.benchmark.core.statistic.bestscore.BestScoreStatisticListener

All Implemented Interfaces:
  EventListener, SolverEventListener

    public class BestScoreStatisticListener

extends Object
implements SolverEventListener

Constructor Summary
`BestScoreStatisticListener()`

Method Summary
`void` | `bestSolutionChanged(BestSolutionChangedEvent event)` Called once every time when a better `Solution` is found.
`List<BestScoreStatisticPoint>` | `getStatisticPointList()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BestScoreStatisticListener

    public BestScoreStatisticListener()

Method Detail

### getStatisticPointList

    public List<BestScoreStatisticPoint> getStatisticPointList()

### bestSolutionChanged

    public void bestSolutionChanged(BestSolutionChangedEvent event)

  Description copied from interface: `SolverEventListener`
  Called once every time when a better `Solution` is found. Early in the solving process it's usually called more frequently than later on.

  Called from the solver thread. Should return fast, because it steals time from the `Solver`.

  If `Solver.addProblemFactChange(ProblemFactChange)` has been called once or more, all `ProblemFactChange`s will be processed and this method is called once. In that case, the former best `Solution` is considered stale, so it doesn't matter whether the new `Score` is better than that or not.

  Specified by:
    `bestSolutionChanged` in interface `SolverEventListener`
  Parameters:
    `event` - never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.